---
name: enterprises-routes
description: Handle 45 OpenAPI operation(s) under /enterprises/{enterprise} for the enterprises route group.
---

# enterprises API Routes

Handle 45 OpenAPI operation(s) under /enterprises/{enterprise} for the enterprises route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### actions_get_actions_cache_retention_limit_for_enterprise

- Operation ID: `actions_get_actions_cache_retention_limit_for_enterprise`
- Route: `GET /enterprises/{enterprise}/actions/cache/retention-limit`
- Mode: READ
- Summary: Get GitHub Actions cache retention limit for an enterprise
- Parameters:
  - `enterprise` in `path` required

### actions_set_actions_cache_retention_limit_for_enterprise

- Operation ID: `actions_set_actions_cache_retention_limit_for_enterprise`
- Route: `PUT /enterprises/{enterprise}/actions/cache/retention-limit`
- Mode: WRITE
- Summary: Set GitHub Actions cache retention limit for an enterprise
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### actions_get_actions_cache_storage_limit_for_enterprise

- Operation ID: `actions_get_actions_cache_storage_limit_for_enterprise`
- Route: `GET /enterprises/{enterprise}/actions/cache/storage-limit`
- Mode: READ
- Summary: Get GitHub Actions cache storage limit for an enterprise
- Parameters:
  - `enterprise` in `path` required

### actions_set_actions_cache_storage_limit_for_enterprise

- Operation ID: `actions_set_actions_cache_storage_limit_for_enterprise`
- Route: `PUT /enterprises/{enterprise}/actions/cache/storage-limit`
- Mode: WRITE
- Summary: Set GitHub Actions cache storage limit for an enterprise
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### oidc_list_oidc_custom_property_inclusions_for_enterprise

- Operation ID: `oidc_list_oidc_custom_property_inclusions_for_enterprise`
- Route: `GET /enterprises/{enterprise}/actions/oidc/customization/properties/repo`
- Mode: READ
- Summary: List OIDC custom property inclusions for an enterprise
- Parameters:
  - `enterprise` in `path` required

### oidc_create_oidc_custom_property_inclusion_for_enterprise

- Operation ID: `oidc_create_oidc_custom_property_inclusion_for_enterprise`
- Route: `POST /enterprises/{enterprise}/actions/oidc/customization/properties/repo`
- Mode: WRITE
- Summary: Create an OIDC custom property inclusion for an enterprise
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### oidc_delete_oidc_custom_property_inclusion_for_enterprise

- Operation ID: `oidc_delete_oidc_custom_property_inclusion_for_enterprise`
- Route: `DELETE /enterprises/{enterprise}/actions/oidc/customization/properties/repo/{custom_property_name}`
- Mode: WRITE
- Summary: Delete an OIDC custom property inclusion for an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `custom_property_name` in `path` required

### code_security_get_configurations_for_enterprise

- Operation ID: `code_security_get_configurations_for_enterprise`
- Route: `GET /enterprises/{enterprise}/code-security/configurations`
- Mode: READ
- Summary: Get code security configurations for an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`

### code_security_create_configuration_for_enterprise

- Operation ID: `code_security_create_configuration_for_enterprise`
- Route: `POST /enterprises/{enterprise}/code-security/configurations`
- Mode: WRITE
- Summary: Create a code security configuration for an enterprise
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### code_security_get_default_configurations_for_enterprise

- Operation ID: `code_security_get_default_configurations_for_enterprise`
- Route: `GET /enterprises/{enterprise}/code-security/configurations/defaults`
- Mode: READ
- Summary: Get default code security configurations for an enterprise
- Parameters:
  - `enterprise` in `path` required

### code_security_get_single_configuration_for_enterprise

- Operation ID: `code_security_get_single_configuration_for_enterprise`
- Route: `GET /enterprises/{enterprise}/code-security/configurations/{configuration_id}`
- Mode: READ
- Summary: Retrieve a code security configuration of an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `configuration_id` in `path` required

### code_security_update_enterprise_configuration

- Operation ID: `code_security_update_enterprise_configuration`
- Route: `PATCH /enterprises/{enterprise}/code-security/configurations/{configuration_id}`
- Mode: WRITE
- Summary: Update a custom code security configuration for an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `configuration_id` in `path` required
- Body: JSON request body accepted.

### code_security_delete_configuration_for_enterprise

- Operation ID: `code_security_delete_configuration_for_enterprise`
- Route: `DELETE /enterprises/{enterprise}/code-security/configurations/{configuration_id}`
- Mode: WRITE
- Summary: Delete a code security configuration for an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `configuration_id` in `path` required

### code_security_attach_enterprise_configuration

- Operation ID: `code_security_attach_enterprise_configuration`
- Route: `POST /enterprises/{enterprise}/code-security/configurations/{configuration_id}/attach`
- Mode: WRITE
- Summary: Attach an enterprise configuration to repositories
- Parameters:
  - `enterprise` in `path` required
  - `configuration_id` in `path` required
- Body: JSON request body accepted.

### code_security_set_configuration_as_default_for_enterprise

- Operation ID: `code_security_set_configuration_as_default_for_enterprise`
- Route: `PUT /enterprises/{enterprise}/code-security/configurations/{configuration_id}/defaults`
- Mode: WRITE
- Summary: Set a code security configuration as a default for an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `configuration_id` in `path` required
- Body: JSON request body accepted.

### code_security_get_repositories_for_enterprise_configuration

- Operation ID: `code_security_get_repositories_for_enterprise_configuration`
- Route: `GET /enterprises/{enterprise}/code-security/configurations/{configuration_id}/repositories`
- Mode: READ
- Summary: Get repositories associated with an enterprise code security configuration
- Parameters:
  - `enterprise` in `path` required
  - `configuration_id` in `path` required
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`
  - `status` in `query`

### copilot_copilot_enterprise_one_day_usage_metrics

- Operation ID: `copilot_copilot_enterprise_one_day_usage_metrics`
- Route: `GET /enterprises/{enterprise}/copilot/metrics/reports/enterprise-1-day`
- Mode: READ
- Summary: Get Copilot enterprise usage metrics for a specific day
- Parameters:
  - `enterprise` in `path` required
  - `day` in `query` required

### copilot_copilot_enterprise_usage_metrics

- Operation ID: `copilot_copilot_enterprise_usage_metrics`
- Route: `GET /enterprises/{enterprise}/copilot/metrics/reports/enterprise-28-day/latest`
- Mode: READ
- Summary: Get Copilot enterprise usage metrics
- Parameters:
  - `enterprise` in `path` required

### copilot_copilot_enterprise_user_teams_one_day_report

- Operation ID: `copilot_copilot_enterprise_user_teams_one_day_report`
- Route: `GET /enterprises/{enterprise}/copilot/metrics/reports/user-teams-1-day`
- Mode: READ
- Summary: Get Copilot enterprise user-teams report for a specific day
- Parameters:
  - `enterprise` in `path` required
  - `day` in `query` required

### copilot_copilot_users_one_day_usage_metrics

- Operation ID: `copilot_copilot_users_one_day_usage_metrics`
- Route: `GET /enterprises/{enterprise}/copilot/metrics/reports/users-1-day`
- Mode: READ
- Summary: Get Copilot users usage metrics for a specific day
- Parameters:
  - `enterprise` in `path` required
  - `day` in `query` required

### copilot_copilot_users_usage_metrics

- Operation ID: `copilot_copilot_users_usage_metrics`
- Route: `GET /enterprises/{enterprise}/copilot/metrics/reports/users-28-day/latest`
- Mode: READ
- Summary: Get Copilot users usage metrics
- Parameters:
  - `enterprise` in `path` required

### copilot_set_enterprise_coding_agent_policy

- Operation ID: `copilot_set_enterprise_coding_agent_policy`
- Route: `PUT /enterprises/{enterprise}/copilot/policies/coding_agent`
- Mode: WRITE
- Summary: Set the coding agent policy for an enterprise
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### copilot_add_organizations_to_enterprise_coding_agent_policy

- Operation ID: `copilot_add_organizations_to_enterprise_coding_agent_policy`
- Route: `POST /enterprises/{enterprise}/copilot/policies/coding_agent/organizations`
- Mode: WRITE
- Summary: Add organizations to the enterprise coding agent policy
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### copilot_remove_organizations_from_enterprise_coding_agent_policy

- Operation ID: `copilot_remove_organizations_from_enterprise_coding_agent_policy`
- Route: `DELETE /enterprises/{enterprise}/copilot/policies/coding_agent/organizations`
- Mode: WRITE
- Summary: Remove organizations from the enterprise coding agent policy
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### dependabot_list_alerts_for_enterprise

- Operation ID: `dependabot_list_alerts_for_enterprise`
- Route: `GET /enterprises/{enterprise}/dependabot/alerts`
- Mode: READ
- Summary: List Dependabot alerts for an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `classification` in `query`
  - `state` in `query`
  - `severity` in `query`
  - `ecosystem` in `query`
  - `package` in `query`
  - `epss_percentage` in `query`
  - `has` in `query`
  - `assignee` in `query`
  - `scope` in `query`
  - `sort` in `query`
  - `direction` in `query`
  - `before` in `query`
  - `after` in `query`
  - `per_page` in `query`

### dependabot_repository_access_for_enterprise

- Operation ID: `dependabot_repository_access_for_enterprise`
- Route: `GET /enterprises/{enterprise}/dependabot/repository-access`
- Mode: READ
- Summary: Lists the repositories Dependabot can access in an enterprise
- Parameters:
  - `enterprise` in `path` required
  - `page` in `query`
  - `per_page` in `query`

### dependabot_update_repository_access_for_enterprise

- Operation ID: `dependabot_update_repository_access_for_enterprise`
- Route: `PATCH /enterprises/{enterprise}/dependabot/repository-access`
- Mode: WRITE
- Summary: Updates Dependabot's repository access list for an enterprise
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### dependabot_set_repository_access_default_level_for_enterprise

- Operation ID: `dependabot_set_repository_access_default_level_for_enterprise`
- Route: `PUT /enterprises/{enterprise}/dependabot/repository-access/default-level`
- Mode: WRITE
- Summary: Set the default repository access level for Dependabot in an enterprise
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### enterprise_teams_list

- Operation ID: `enterprise_teams_list`
- Route: `GET /enterprises/{enterprise}/teams`
- Mode: READ
- Summary: List enterprise teams
- Parameters:
  - `enterprise` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### enterprise_teams_create

- Operation ID: `enterprise_teams_create`
- Route: `POST /enterprises/{enterprise}/teams`
- Mode: WRITE
- Summary: Create an enterprise team
- Parameters:
  - `enterprise` in `path` required
- Body: JSON request body accepted.

### enterprise_team_memberships_list

- Operation ID: `enterprise_team_memberships_list`
- Route: `GET /enterprises/{enterprise}/teams/{enterprise-team}/memberships`
- Mode: READ
- Summary: List members in an enterprise team
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### enterprise_team_memberships_bulk_add

- Operation ID: `enterprise_team_memberships_bulk_add`
- Route: `POST /enterprises/{enterprise}/teams/{enterprise-team}/memberships/add`
- Mode: WRITE
- Summary: Bulk add team members
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
- Body: JSON request body accepted.

### enterprise_team_memberships_bulk_remove

- Operation ID: `enterprise_team_memberships_bulk_remove`
- Route: `POST /enterprises/{enterprise}/teams/{enterprise-team}/memberships/remove`
- Mode: WRITE
- Summary: Bulk remove team members
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
- Body: JSON request body accepted.

### enterprise_team_memberships_get

- Operation ID: `enterprise_team_memberships_get`
- Route: `GET /enterprises/{enterprise}/teams/{enterprise-team}/memberships/{username}`
- Mode: READ
- Summary: Get enterprise team membership
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `username` in `path` required

### enterprise_team_memberships_add

- Operation ID: `enterprise_team_memberships_add`
- Route: `PUT /enterprises/{enterprise}/teams/{enterprise-team}/memberships/{username}`
- Mode: WRITE
- Summary: Add team member
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `username` in `path` required

### enterprise_team_memberships_remove

- Operation ID: `enterprise_team_memberships_remove`
- Route: `DELETE /enterprises/{enterprise}/teams/{enterprise-team}/memberships/{username}`
- Mode: WRITE
- Summary: Remove team membership
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `username` in `path` required

### enterprise_team_organizations_get_assignments

- Operation ID: `enterprise_team_organizations_get_assignments`
- Route: `GET /enterprises/{enterprise}/teams/{enterprise-team}/organizations`
- Mode: READ
- Summary: Get organization assignments
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### enterprise_team_organizations_bulk_add

- Operation ID: `enterprise_team_organizations_bulk_add`
- Route: `POST /enterprises/{enterprise}/teams/{enterprise-team}/organizations/add`
- Mode: WRITE
- Summary: Add organization assignments
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
- Body: JSON request body accepted.

### enterprise_team_organizations_bulk_remove

- Operation ID: `enterprise_team_organizations_bulk_remove`
- Route: `POST /enterprises/{enterprise}/teams/{enterprise-team}/organizations/remove`
- Mode: WRITE
- Summary: Remove organization assignments
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
- Body: JSON request body accepted.

### enterprise_team_organizations_get_assignment

- Operation ID: `enterprise_team_organizations_get_assignment`
- Route: `GET /enterprises/{enterprise}/teams/{enterprise-team}/organizations/{org}`
- Mode: READ
- Summary: Get organization assignment
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `org` in `path` required

### enterprise_team_organizations_add

- Operation ID: `enterprise_team_organizations_add`
- Route: `PUT /enterprises/{enterprise}/teams/{enterprise-team}/organizations/{org}`
- Mode: WRITE
- Summary: Add an organization assignment
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `org` in `path` required

### enterprise_team_organizations_delete

- Operation ID: `enterprise_team_organizations_delete`
- Route: `DELETE /enterprises/{enterprise}/teams/{enterprise-team}/organizations/{org}`
- Mode: WRITE
- Summary: Delete an organization assignment
- Parameters:
  - `enterprise` in `path` required
  - `enterprise-team` in `path` required
  - `org` in `path` required

### enterprise_teams_get

- Operation ID: `enterprise_teams_get`
- Route: `GET /enterprises/{enterprise}/teams/{team_slug}`
- Mode: READ
- Summary: Get an enterprise team
- Parameters:
  - `enterprise` in `path` required
  - `team_slug` in `path` required

### enterprise_teams_update

- Operation ID: `enterprise_teams_update`
- Route: `PATCH /enterprises/{enterprise}/teams/{team_slug}`
- Mode: WRITE
- Summary: Update an enterprise team
- Parameters:
  - `enterprise` in `path` required
  - `team_slug` in `path` required
- Body: JSON request body accepted.

### enterprise_teams_delete

- Operation ID: `enterprise_teams_delete`
- Route: `DELETE /enterprises/{enterprise}/teams/{team_slug}`
- Mode: WRITE
- Summary: Delete an enterprise team
- Parameters:
  - `enterprise` in `path` required
  - `team_slug` in `path` required
